%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pydir: %define pydir %(%{__python} -c "from distutils.sysconfig import get_config_vars; print get_config_vars()['LIBDEST']")}

Summary: Arp monitor
Name: arpmon
Version: 0.9.7
Release: 3
License: GPL
Source: http://kmlinux.fjfi.cvut.cz/~vokac/activities/%{name}/%{name}-%{version}.tar.gz
Group: Networking/Daemons
BuildRoot: %{_tmppath}/%{name}-buildroot
#BuildArch: noarch
Requires: MySQL-python, python-pycap

%description
This program check ARP request on defined interfaces and monitor
wich network devices are alive. It also check if all MAC addresses
are registered in local database.


%prep
%setup


%build
#python setup.py build


%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"

#python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

#install -p -D -m644 arpmon.conf $RPM_BUILD_ROOT%{_sysconfdir}/arpmon.conf
install -p -D -m755 arpmon.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/arpmon
install -p -D -m600 arpmon.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/arpmon
install -p -D -m755 arpmon.py $RPM_BUILD_ROOT%{_sbindir}/arpmon
install -p -D -m755 arpmon-nt.py $RPM_BUILD_ROOT%{_sbindir}/arpmon-nt
#install -d $RPM_BUILD_ROOT%{_var}/log/arpmon


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%post
#exec &>/dev/null
# Adding arpmon config
if [ $1 = 2 ]; then # upgrade
  # restart arpmon
  echo service arpmon restart || true
else # install
  if [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --add arpmon
    #/sbin/chkconfig --level 2345 arpmon
  fi
  # start arpmon
  echo service arpmon start || true
cat << EOF
  add data to MySQL:
  mysql -u root -p < arpmon.sql
EOF
fi

%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  if [ -x /sbin/chkconfig ]; then
    service arpmon stop
    /sbin/chkconfig --del arpmon
  fi
fi


%files
%defattr(-,root,root)
%doc NEWS README TODO arpmon.mac arpmon.sql device.sql test_capture.py test_inject.py test_last.py
%config(noreplace) %{_sysconfdir}/sysconfig/arpmon
%{_sysconfdir}/init.d/*
%{_sbindir}/*
#%attr(-,nobody,nobody) %{_var}/log/arpmon


%changelog
* Wed Feb 14 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.6-0
- created version without threads to easyer debugging common problems

* Fri Jan 19 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.0-0
- initial release
